function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { miniRedux } from '@pisell/utils';
import { formatServiceListByTime } from "./utils";
export var walkInData = {
  id: 1,
  nickname: 'Select a customer'
};
var defaultState = {};
var _miniRedux = miniRedux({
    namespace: 'state',
    state: defaultState,
    effects: {
      setClient: function setClient(state, payload) {
        state.setGlobalState({
          client: _objectSpread(_objectSpread({}, state.client), payload)
        });
        // return { ...state, client: { ...state.client, ...payload } };
      },
      setContactsInfo: function setContactsInfo(state, payload) {
        state.setGlobalState({
          contacts_info: _objectSpread(_objectSpread({}, state.contacts_info), payload)
        });
      },
      setService: function setService(state, payload) {
        var obj = {};
        // 拦截,  如果服务列表里 有两个相近时间的服务, 删除最后一个
        if (payload.value) {
          obj.value = formatServiceListByTime(payload.value);
        }
        state.setGlobalState({
          service: _objectSpread(_objectSpread(_objectSpread({}, state.service), payload), obj)
        });
      },
      setDate: function setDate(state, payload) {
        state.setGlobalState({
          date: _objectSpread(_objectSpread({}, state.date), payload)
        });
      },
      setPet: function setPet(state, payload) {
        state.setGlobalState({
          pet: _objectSpread(_objectSpread({}, state.pet), payload)
        });
      },
      setNotes: function setNotes(state, payload) {
        state.setGlobalState({
          notes: _objectSpread(_objectSpread({}, state.notes), payload)
        });
      },
      setPetValue: function setPetValue(state, payload) {
        state.setGlobalState({
          pet: _objectSpread(_objectSpread({}, state.pet), {}, {
            value: _objectSpread(_objectSpread({}, state.pet.value), payload),
            edit: false
          })
        });
      },
      setStatus: function setStatus(state, payload) {
        var _val = {
          appointment_status: payload
        };
        if (payload === 'cancelled') {
          _val.disabledEdit = true;
        } else {
          _val.disabledEdit = false;
        }
        state.setGlobalState(_val);
      },
      setActiveCartId: function setActiveCartId(state, payload) {
        state.setGlobalState(payload);
      },
      setAddons: function setAddons(state, payload) {
        state.setGlobalState({
          addons: _objectSpread(_objectSpread({}, state.addons), payload)
        });
      }
    },
    reducers: {
      setStateFn: function setStateFn(state, payload) {
        return _objectSpread(_objectSpread({}, state), payload);
      },
      setState: function setState(state, payload) {
        return _objectSpread(_objectSpread({}, state), payload);
      }
    }
  }),
  Provider = _miniRedux.Provider,
  Context = _miniRedux.Context;
export { Provider, Context };